from authentication.register import add_zero_for_user_mobile
from authentication.sms_management import send_daily_slaughter_statistics_sms_manual, \
    send_daily_distribution_report_sms_manual, send_kill_house_debt_report_pdf_sms_manual
from pdf.views import kill_request_pdf, management_all_poultry_and_warehouse_pdf, summary_report_pdf, \
    hatching_detail_pdf, poultry_science_report_pdf, kill_house_debt_report_pdf
from .KillHouse.excel_processing import direct_purchase_archive_excel, kill_house_user_excel, \
    bar_excel, bar_excel_trash_true, kill_house_total_wage_excel, export_kill_house_excel, monitor_loads_excel, \
    kill_house_free_bar_excel, comprehensive_report_of_the_slaughterhouse_excel, \
    out_province_carcasses_buyer_kill_house_excel, kill_house_free_sale_bar_information_excel, \
    kill_house_free_sale_bar_information_for_excel_excel, notentered_bars_for_kill_house_excel, \
    entered_bars_for_kill_house_excel, kill_house_free_bar_entered_for_warehouse_excel, \
    steward_allocation_for_warehouse_excel, kill_house_free_bar_carcasses_for_warehouse_excel, \
    kill_house_inventory_data, all_kill_house_inventory_data, cold_house_excel, management_cold_house_excel, \
    direct_purchase_excel, non_receipt_request_excel, return_kill_house_request_excel, \
    warehouse_archive_combined_excel
from .KillHouse.helpers import create_kill_house_free_bar
from .KillHouse.views import make_kill_request, get_hatching_kill_ingo, dashboard_monitoring_bar_and_killing, \
    dashboarad_bar_for_kill_house, dashboard_bar_difference_request, KillHousePerformanceDashboardViewSet, \
    KillHouseMarketInfoViewSet, KillHouseMarketInfoDashboardViewSet, KillHouseSalesInformationViewSet, \
    KillHouseForColdHouseAllocationViewSet, KillHouseForSegmentationViewSet, KillHouseComparativeInformationViewSet, \
    cancel_bar_and_province_request, ReturnProvinceKillRequestViewSet, ReturnRequestDashboardViewSet, fix_wage, \
    KillHouseRemainWeightViewSet, TotalKillHouseRemainWeightViewSet, TotalKillHouseWarehouseArchiveDashboardViewSet, \
    KillHouseLock
from .ProvinceOperator.excel_processing import kill_house_total_transactions_wage_payid_excel, \
    kill_house_total_transactions_wage_payid_super_admin_excel, kill_house_total_wage_excel_new, \
    payment_transactions_province_excel, general_free_bar_excel, out_province_poultry_request_buyers_excel, \
    chain_company_buyers_excel, bar_chain_excel, general_city_operator, \
    kill_house_total_transactions_wage_payid_admin_x_excel, poultry_request_report_excel, transacion_out_request_excel, \
    from_allocation_to_distribution_excel, all_distribution_province, login_user_excel, \
    sub_section_of_cooperative_share_detail, city_operator_for_sub_sector_excel, vet_for_sub_sector_excel, \
    guild_for_sub_sector_excel, all_guilds_transaction_excel, detail_guilds_transaction_excel, GetExcel, \
    management_hatching_excel, user_without_role_excel, sub_section_of_cooperative_share_detail_with_date_excel, \
    dashboard_monitoring_bar_and_killing_excel, steward_allocation_excel, free_sale_out_province_excel, \
    sevrence_kill_house_steward_allocation_excel, steward_free_sale_out_province_excel, total_steward_dashboard_excel, \
    detail_of_killing_and_warehouse_excel, management_all_poultry_and_warehouse, market_requests_excel, \
    get_more_than_one_role, return_province_request_excel, guilds_without_allocation_excel
from .ProvinceOperator.helpers import update_role_product, update_cooperative_share
from .ProvinceOperator.views import get_gate_way_payer_info, Rolesusers, get_all_pos_company, get_all_pos_version, \
    get_all_guilds, SegmentationDashboardViewSet, GetAllPoultryForPoultryScienceViewSet, \
    PoultryAndHatchingForPoultryScience, StewardSalesInformationViewSet, PosSalesInformationViewSet, \
    PosColdHouseViewSet, PosRemainWeightViewSet, StewardRemainWeightViewSet, PosRemainWeightWithDateViewSet, \
    update_guild_by_national_id, register_legal_guild, TotalStewardRemainWeightViewSet, \
    TotalGuildStewardWarehouseArchiveDashboardViewSet, check_steward_allocation_role_mismatch, get_dispenser_user_info
from .ReportingPanel.views import check_excel, find_gid_code, fix_duplicate_guilds_steward_allocation, \
    fix_image_voilation_hatching, \
    fix_image_voilation_hatching_return, send_sms_for_poultry_from_age_notification, api_update_poultry_hatching, \
    api_update_chicken_breed, fix_bar_without_quarantine, api_update_poultry_hatching_from_rsi, \
    get_gid_out_province_manual, dashboard_monitoring_view, remove_access_token_manual, \
    find_gid_code_manual, get_all_pos_transaction, send_clearance_code_to_rsi, api_send_clearance_code_to_rsi, \
    create_steward_allocation_from_excel, send_bar_info_from_ticket, all_clearance_code_to_rsi, \
    ticket_different_clearance_code_from_rsi, management_kill_house_dashboard, periodic_performance_report_dashboard, \
    fix_killing_age, get_bar_from_rsi_with_hatching, driver_from_rsi_excel, send_again_sms_for_register_code_guild, \
    send_again_sms_steward_allocation, fix_number_from_rsi, send_again_sms_steward_free_sale_bar, \
    send_again_sms_kill_house_free_sale_bar, send_again_sms_direct_buying_code, pos_send_again_sms_steward_allocation, \
    delete_guilds_without_allocation, save_mobile_numbers, auto_warehouse_steward_allocations, hatching_unknown, \
    import_poultry_science_from_excel, sync_guilds_user_profile_from_inquiry, \
    report_guilds_without_national_or_pos_transactions, get_guilds_for_update_or_create, \
    update_all_active_guilds_from_api, find_users_with_duplicate_national_id, fix_duplicate_national_id_users, \
    get_legal_person_unit_info, upload_image_to_server_for_poultry_science, poultry_science_for_bazresi, \
    fetch_evacuation_details_for_unknown_hatchings
from .VetFarm.excel_processing import technical_responsible_performance_excel, \
    totoal_technical_responsible_performance_excel
from .excel_processing import user_excel_update, user_excel, vet_check_excel, kill_house_request_excel, \
    allocated_excel, poultry_kill_request_excel, request_registration_kill_house, \
    new_load_of_kill_house_vet, request_pending_allocation, car_allocation_excel, Test, Test1, excel_for_all_user, \
    inventory, Broadcast_management, guilds_excel, commerce_report_excel, commerce_bar_excel, \
    number_of_kills_excel, \
    single_hatching_age_range_excel, total_poultry_request_dashboard_excel, \
    total_poultry_hatching_dashboard_excel, doughnut_hatching_excel, forecast_hatching_left_over_excel, \
    manager_of_farm_excel, kill_house__request_vet_killing_process_excel, kill_house_percent_excel, \
    poultry_request_out_excel, doughnut_left_hatching_excel, \
    get_all_user_excel, stewards_excel, steward_excel, \
    kill_house_total_wage_not_payid_excel, all_kill_house_total_wage_excel, slaughterhouse_fee_excel, \
    slaughterhouse_fee_not_paid_excel, car_province_excel, kill_house_wage_archive_excel, \
    kill_house_total_wage_archive_excel, process_for_each_hatching, bar_management_kill_house_excel, \
    all_inventory_excel, daily_process_excel, daily_process_klling_proccess_excel, killing_process_from_date_excel, \
    discrepancy_report_excel, bar_for_each_persion_excel, poultry_excel, \
    bar_contradiction_of_quarantine_excel, detail_of_killing_excel, pos_excel, poultry_and_bar_daily_report_excel, \
    bar_free_excel, steward_ware_house_total_report_daily_excel, steward_ware_house_total_report_daily_detail_excel, \
    hatching_by_age_range, hatching_for_detail_killing_excel, bar_live_stock_support_excel, \
    successful_transactions_excel, unsuccessful_transactions_excel, \
    poultry_hatching_between_50age_70age_excel, number_of_times_with_quarantine_code_excel, \
    the_burden_of_quarantine_excel, bar_without_quarantine_code_excel, \
    loads_that_differ_in_quarantine_and_cooperation_excel, government_burden_excel, \
    goverment_bar_state_with_a_certified_quarantine_code_excel, free_loads_excel, \
    free_cargoes_obtained_from_quarantine_excel, free_loads_with_quarantine_code_excel, \
    loads_outside_the_province_excel, loads_entering_the_slaughterhouse_excel, veterinarian_unloaded_load_excel, \
    completed_slaughterhouse_loads_excel, unloaded_cargo_without_quarantine_code_excel, unloaded_load_excel, \
    loads_unloaded_and_not_completed_by_the_slaughterhouse_excel, hatching_date_range_excel, wallete_excel, \
    number_of_kills_weight_excel, kill_house_request_suspended_load_excel, chain_excel, test_excel, \
    test_all_excel_functions
from django.urls import include, path
from rest_framework.routers import DefaultRouter
from panel.CityOperator import views as city_views
from panel.poultry import views as poultry_views
from panel.ProvinceOperator import views as province_views
from panel.KillHouse import views as killhouse_views
from panel.VetFarm import views as vet_farm_views
from panel.ReportingPanel import views as report_views
from . import views as main_views
from .helper import get_country
from .pos_helper import pos_finder, pos_get_finder, Check_server, pos_login
from .poultry.excel_processing import management_poultry, hatching_excel, archive_hatching_excel, \
    hatching_age_range_excel, poultry_monitoring_excel, hatching_report_from_age_excel, \
    poultry_hatching_prediction_chart_excel, poultry_hatching_prediction_excel, bar_difference_reques_excel, \
    direct_buying_poultry_requests, hatching_for_every_age_range
from .poultry.helpers import create_update_chicken_commission_prices, create_update_chicken_commission_prices_manual, \
    add_poultry_request_quarantine_code, update_archive_date_poultry_hatching
from .poultry.views import Cancel_Poultry_Exchange_request, Check_Poultry_Auction_request_front, \
    city_operator_for_poultry, archive_hatching, GetAllPoultryViewSet, GetAllPoultryFoIncreaseHatchingViewSet, \
    HatchingDetailView, bulk_test_data, get_hatching_for_bazrasi, PoultryRequestForDirectBuyingViewSet, \
    PoultryHatchingForDirectBuyingViewSet, PoultryHatchingChartForDirectBuyingViewSet, get_poultry_for_bazrasi, \
    archive_poultry_hatching_with_archive_percent
from bot_eata import bot_eitaa_for_bar, bot_eitaa_free_bar, bot_eitaa_for_hatching_gt_50, \
    bot_eitaa_for_province_kill_request, daily_manual_transaction_for_eata, transaction_for_eata_new, \
    daily_report_for_each_vet_farm_manual, send_all_bar_to_eitaa, send_all_bar_to_eitaa_ticket
from django.conf import settings
from django.conf.urls.static import static

router = DefaultRouter()
router.register(
    r'city_operator',
    city_views.CityOperatorViewSet,
    basename="city_operator"
)
router.register(
    r'city-operator-for-sub-sector',
    city_views.CityOperatorForSubSectorViewSet,
    basename="city-operator-for-sub-sector"
)
router.register(
    r'city_operator_check_request',
    city_views.CityOperatorCheckRequestViewSet,
    basename="city_operator_check_request"
)
router.register(
    r'management_request',
    city_views.ManagementRequestViewSet,
    basename="management-request"
)
router.register(
    r'city_operator_check_request_new',
    city_views.CityOperatorCheckRequestNewViewSet,
    basename="city_operator_check_request_new"
)
router.register(r'Poultry', poultry_views.PoultryViewSet, basename="Poultry")
router.register(r'hatching-increase-request', poultry_views.HatchingIncreaseRequestViewSet,
                basename="hatching-increase-request")
router.register(r'chain-company', poultry_views.ChainCompanyViewSet,
                basename="chain-company")
router.register(r'chain-company-total-allocations', poultry_views.ChainCompanyForTotalWageAllocationViewSet,
                basename="chain-company-total-allocations")
router.register(r'chain-company-total-transactions', poultry_views.ChainCompanyForTotalWageTransactionViewSet,
                basename="chain-company-total-transactions")
router.register(r'chain-company-transaction', poultry_views.ChainCompanyTransactionViewSet,
                basename="chain-company-transaction")
router.register(r'chain-allocation', poultry_views.ChainAllocationViewSet,
                basename="chain-allocation")
router.register(r'hatching-loss-management', report_views.HatchingLossManagementViewSet,
                basename="hatching-loss-management")
router.register(r'parent-company-chain-allocation', poultry_views.ParentCompanyChainAllocationViewSet,
                basename="parent-company-chain-allocation")
router.register(r'dashboard-chain-allocation', poultry_views.DashboardChainAllocationViewSet,
                basename="dashboard-chain-allocation")
router.register(r'parent-company-dashboard-chain-allocation',
                poultry_views.ParentCompanyDashboardChainAllocationViewSet,
                basename="parent-company-dashboard-chain-allocation")
router.register(r'chain-allocation-total-wage', poultry_views.ChainAllocationForWageViewSet,
                basename="chain-allocation-total-wage")
router.register(r'poultry-choose-chain-company', poultry_views.PoultryChooseChainCompanyViewSet,
                basename="poultry-choose-chain-company")
router.register(r'total_poultry', poultry_views.TotalPoultryViewSet, basename="total_poultry"),
router.register(r'edit_poultry', city_views.PoultryEditByCityOperatorViewSet, basename="edit_poultry"),
router.register(r'show_city_operator', city_views.ShowCityOperatorViewSet, basename="show_city_operator"),
router.register(r'vet_farm', vet_farm_views.VetFarmViewSet, basename="vet_farm"),
router.register(r'management_vet_farm', vet_farm_views.ManagementVetFarmViewSet, basename="management_vet_farm"),
router.register(r'vet_farm_inspection', vet_farm_views.VetFarmInspectionViewSet, basename="vet_farm_inspection"),
router.register(r'vet_for_sub_sector', vet_farm_views.VetForSubSectorViewSet, basename="vet_for_sub_sector"),
router.register(r'vet_for_sub_sector_transaction', vet_farm_views.VetForSubSectorTransactionViewSet,
                basename="vet_for_sub_sector_transaction"),
router.register(r'vet_dashboard_wage', vet_farm_views.TotalVetSubSectorWageDashboardViewSet,
                basename="vet_dashboard_wage"),
router.register(r'Poultry_tenant', poultry_views.PoultryTenantViewSet, basename="Poultry_tenant"),
router.register(r'out-province-poultry-request-buyers', poultry_views.OutProvincePoultryRequestBuyerViewSet,
                basename="out-province-poultry-request-buyers"),
router.register(r'Poultry_Request', poultry_views.PoultryRequestViewSet, basename="Poultry_Request"),
router.register(r'poultry-request-quarantine-code', poultry_views.PoultryRequestQuarantineCodeViewSet, basename="poultry-request-quarantine-code"),
router.register(r'evacuation-hatching-details', poultry_views.EvacuationHatchingDetailViewSet,
                basename="evacuation-hatching-details"),
router.register(r'cancel-out-poultry_request', poultry_views.CancelOutProvincePoultryRequestViewSet,
                basename="cancel-out-poultry_request"),
router.register(r'out-province-poultry-requests-dashboard', poultry_views.OutProvincePoultryRequestDashboardViewSet,
                basename="out-province-poultry-requests-dashboard"),
router.register(r'out-province-poultry-requests', poultry_views.OutProvincePoultryRequestViewSet,
                basename="out-province-poultry-requests"), \
router.register(r'parent-company-out-province-poultry-requests',
                poultry_views.ParentCompanyOutProvincePoultryRequestViewSet,
                basename="parent-company-out-province-poultry-requests"),
router.register(r'dashboard-out-province-poultry-requests', poultry_views.DashboardOutProvincePoultryRequestViewSet,
                basename="dashboard-out-province-poultry-requests"),
router.register(r'parent-company-dashboard-out-province-poultry-requests',
                poultry_views.ParentCompanyDashboardOutProvincePoultryRequestViewSet,
                basename="parent-company-dashboard-out-province-poultry-requests"),
router.register(r'temporary-out-province-poultry-requests', poultry_views.TemporaryOutProvincePoultryRequestViewSet,
                basename="temporary-out-province-poultry-requests"),
router.register(r'poultry_request_letter', killhouse_views.PoultryRequestLetterForProvinceVetViewSet,
                basename="poultry_request_letter"), \
router.register(r'province_request_letter', killhouse_views.ProvinceRequestLetterForProvinceViewSet,
                basename="poultry_request_letter"),
router.register(r'poultry_request_letter_order_code', poultry_views.PoultryRequestForLetterViewSet,
                basename="poultry_request_letter_order_code"),\
router.register(r'chicken-commission-prices', poultry_views.ChickenCommissionPricesViewSet,
                basename="chicken-commission-prices"),
# router.register(r'bars_for_kill_house', poultry_views.BarsForKillHouseViewSet, basename="bars_for_kill_house"),
router.register(r'total_poultry_request_quantity', poultry_views.TotalPoultryRequestQuantityViewSet,
                basename="total_poultry_request_quantity"),
router.register(r'forecast_hatching_left_over', poultry_views.ForecastPoultryHatchingViewSet,
                basename="forecast_hatching_left_over"),
router.register(r'hatching-for-dashboard', poultry_views.PoultryHatchingForDashBoardViewSet,
                basename="hatching-for-dashboard"),
router.register(r'total_poultry_request_for_city_quantity', poultry_views.TotalPoultryRequestQuantityForCitryViewSet,
                basename="total_poultry_request_for_city_quantity"),
router.register(r'Poultry_auction', poultry_views.PoultryRequestAuctionViewSet, basename="Poultry_auction"),
router.register(r'poultry_hatching', poultry_views.PoultryHatchingViewSet, basename="poultry_hatching"),
router.register(r'poultry_hatching_prediction', poultry_views.PoultryHatchingForPredictionViewSet,
                basename="poultry_hatching_prediction"),
router.register(r'poultry_hatching_prediction_dashboard', poultry_views.PoultryHatchingForPredictionDashboardViewSet,
                basename="poultry_hatching_prediction_dashboard"),
router.register(r'poultry_hatching_prediction_chart', poultry_views.PoultryHatchingForPredictionChartViewSet,
                basename="poultry_hatching_prediction_chart"),
router.register(r'poultry_prediction', poultry_views.PoultryPredictionViewSet, basename="poultry_prediction"),
router.register(r'poultry_request_exchange', poultry_views.PoultryRequestExchangeViewSet,
                basename="poultry_request_exchange"),
router.register(r'Poultry_Request_exchange_accept', poultry_views.PoultryRequestExchangeAcceptViewSet,
                basename="Poultry_Request_exchange_accept"),
router.register(r'process', poultry_views.ProcessViewSet, basename="process"),
router.register(r'hatching_age_range', poultry_views.HatchingStatisticsDashboardViewSet, basename="hatching_age_range"),
router.register(r'doughnut_hatching', poultry_views.DoughnutHatchingStatisticsDashboardViewSet,
                basename="doughnut_hatching"),
router.register(r'doughnut_left_hatching', poultry_views.DoughnutHatchingLeftOverStatisticsDashboardViewSet,
                basename="doughnut_left_hatching"),
router.register(r'single_hatching_age_range', poultry_views.SingleAgeHatchingStatisticsDashboardViewSet,
                basename="single_hatching_age_range"),
router.register(r'total_poultry_request_dashboard', poultry_views.TotalPoultryRequestStatisticsDashboardViewSet,
                basename="total_poultry_request_dashboard"),
router.register(r'management_hatching_age_range', poultry_views.ManagementHatchingAgeRangeViewSet,
                basename="management_hatching_age_range"),
router.register(r'total_file_poultry_request_dashboard',
                poultry_views.TotalFilePoultryRequestStatisticsDashboardViewSet,
                basename="total_file_poultry_request_dashboard"),
router.register(r'total_poultry_hatching_dashboard', poultry_views.TotalPoultryHatchingStatisticsDashboardViewSet,
                basename="total_poultry_hatching_dashboard"),
router.register(r'poultry_request_killing_process', poultry_views.PoultryRequestProcessDashboardViewSet,
                basename="poultry_request_killing_process"),
router.register(r'general-statistics-dashboard-for-cases', poultry_views.GeneralStatisticsdashboardForCasesViewSet,
                basename="general-statistics-dashboard-for-cases"),
router.register(r'poultry_tenant_update', poultry_views.UpdatePoultryTenantViewSet,
                basename="poultry_request_killing_process"), \
router.register(r'poultry-loc', poultry_views.PoultryLocationViewSet,
                basename="poultry-loc"),
router.register(r'province_kill_request_killing_process', poultry_views.ProvinceKillRequestProcessDashboardViewSet,
                basename="province_kill_request_killing_process"),
router.register(r'kill_house__request_vetfarm_killing_process',
                poultry_views.KillHouseRequestVetFarmProcessDashboardViewSet,
                basename="kill_house__request_vetfarm_killing_process"),

router.register(r'kill_house__request_vet_killing_process',
                poultry_views.KillHouseRequestVetProcessDashboardViewSet,
                basename="kill_house__request_vet_killing_process"),
router.register(r'number_of_kills', killhouse_views.KillHouseRequestStatisticsDashboardViewSet,
                basename="number_of_kills"), \
router.register(r'number_of_kills_weight', killhouse_views.KillHouseRequestWeightStatisticsDashboardViewSet,
                basename="number_of_kills_weight"),
router.register(r'Poultry_Request_search', poultry_views.PoultryRequestSearchViewSet,
                basename="Poultry_Request_search"),
router.register(r'poultry_request_index_weight', poultry_views.PoultryRequestWeightViewSet,
                basename="poultry_request_index_weight"),
router.register(r'poultry_assignment_information', poultry_views.PoultryAssignmentInformationViewSet,
                basename="poultry_assignment_information")
router.register(r'last_update', poultry_views.LastUpdateViewSet,
                basename="last_update")
router.register(r'reporting-all-poultry-requests', report_views.ReportingAllPoultryRequests,
                basename='reporting-all-poultry-requests')
router.register(r'detail_general_wage', report_views.DetailsGeneralWageViewSet,
                basename='detail_general_wage')
router.register(r'detail_general_killhouse_wage', report_views.DetailsGeneralKillHoseWageViewSet,
                basename='detail_general_wage')
router.register(r'new_detail_general_killhouse_wage', report_views.NewDetailsGeneralKillHoseWageViewSet,
                basename='new_detail_general_killhouse_wage')
router.register(r'data_report_percentages', report_views.DataReportPercentagesViewSet,
                basename='data_report_percentages')

router.register(r'reporting-all-poultry', report_views.NewReportingAllPoultryRequests,
                basename='reporting-all-poultry')
router.register(r'kill_house', killhouse_views.KillHouseViewSet, basename="kill_house"),
router.register(r'pos-kill-houses', killhouse_views.PosKillHouseViewSet, basename="pos-kill-houses"),
router.register(r'kill_house_free_bar_wage_total', killhouse_views.KillHouseFreeBarInformationforWageTotalViewSet,
                basename="kill_house_free_bar_wage_total"),
router.register(r'province_wage', killhouse_views.ProvinceKillRequestProvinceWageViewSet, basename="province_wage"),
router.register(r'kill_house_images', killhouse_views.KillHouseAssignmentImagesViewSet, basename="kill_house_images"),
router.register(r'kill_house_ware_house', killhouse_views.KillHouseWareHouseViewSet, basename="kill_house_ware_house"),
router.register(r'kill_house_free_bar', killhouse_views.KillHouseFreeBarInformationViewSet,
                basename="kill_house_free_bar"),
router.register(r'parent_company_kill_house_free_bar', killhouse_views.ParentCompanyKillHouseFreeBarInformationViewSet,
                basename="parent_company_kill_house_free_bar"),

router.register(r'kill_house_free_sale_bar', killhouse_views.KillHouseFreeSaleBarInformationViewSet,
                basename="kill_house_free_sale_bar"),
router.register(r'pos-kill-house-free-sale-bar', killhouse_views.PosKillHouseFreeSaleBarInformationViewSet,
                basename="pos-kill-house-free-sale-bar"),
router.register(r'bar-difference-request', killhouse_views.BarDifferenceRequestViewSet,
                basename="bar-difference-request"),
router.register(r'dashboard_kill_house_free_sale_bar', killhouse_views.KillHouseFreeSaleBarInformationDashboardViewSet,
                basename="dashboard_kill_house_free_sale_bar"),
router.register(r'kill_house-buyers-dashboard',
                killhouse_views.KillHousebuyersDashboarForFreeSaleBarInformationdViewSet,
                basename="kill_house-buyers-dashboard"),
router.register(r'dashboard_kill_house_free_bar', killhouse_views.DashboardKillHouseFreeBarInformationViewSet,
                basename="dashboard_kill_house_free_bar"),
router.register(r'parent_company_dashboard_kill_house_free_bar',
                killhouse_views.ParentCopmanyDashboardKillHouseFreeBarInformationViewSet,
                basename="parent_company_dashboard_kill_house_free_bar"),
router.register(r'kill_house_operator', killhouse_views.KillHouseOperatorViewSet, basename="kill_house_operator")
router.register(r'kill_house_wage_dashbord', killhouse_views.KillHouseWageForTotalDashbordViewSet,
                basename="kill_house_wage_dashbord")
router.register(r'kill_house_add_car', killhouse_views.KillHouseADDCARViewSet, basename="kill_house_add_car"),
router.register(r'driver', killhouse_views.DriverViewSet, basename="driver"),
# router.register(r'make_kill_request', killhouse_views.make_kill_request, basename="make_kill_request"),
router.register(r'driver_cancel', killhouse_views.DriverRequestCancelViewSet, basename="driver_cancel"),
router.register(r'poultry_requests_for_total_information', killhouse_views.PoultryRequestForTotalInformationViewSet,
                basename="poultry_requests_for_total_information"),
router.register(r'poultry_requests_for_total_information_in_table',
                killhouse_views.PoultryRequestForTotalInformationInTableViewSet,
                basename="poultry_requests_for_total_information_intable"),
router.register(r'province_kill_request', killhouse_views.ProvinceKillRequestViewSet,
                basename="province_kill_request"), \
router.register(r'dahsnoard_province_kill_request', killhouse_views.DahsnoardProvinceKillRequestViewSet,
                basename="dahsnoard_province_kill_request"),
router.register(r'reporting_province_kill_request_wage', killhouse_views.ReportingProvinceKillRequestsWageViewSet,
                basename="reporting_province_kill_request_wage"),
router.register(r'kill_house_change', killhouse_views.KillHouseRequestChangeStateViewSet, basename="kill_house_change"),
router.register(r'kill_house_Request_exchange', killhouse_views.KillHouseRequestExchangeViewSet,
                basename="kill_house_Request_exchange"),
router.register(r'kill_house_Request_exchange_reserve', killhouse_views.KillHouseRequestExchangeReserveViewSet,
                basename="kill_house_Request_exchange_reserve"),
router.register(r'kill_house_Request_auction', killhouse_views.KillHouseRequestActionViewSet,
                basename="kill_house_Request_auction"),
router.register(r'kill_house_Request_auction_winner', killhouse_views.KillHouseRequestActionWinnerViewSet,
                basename="kill_house_Request_auction_winner"),
router.register(r'kill_house_Request_exchange_reserve_add_car',
                killhouse_views.KillHouseRequestExchangeAddCarViewSet,
                basename="kill_house_Request_exchange_reserve_add_car"),
router.register(r'kill_house_request_bar_management_wage',
                killhouse_views.KillHouseRequestForBarManagementWageViewSet,
                basename="kill_house_request_bar_management_wage"), \
router.register(r'dashboard_delete_bar',
                killhouse_views.DashboardDeleteBarView,
                basename="dashboard_delete_bar"),
router.register(r'kill_house_request_bar_management', killhouse_views.KillHouseRequestForBarManagementViewSet,
                basename="kill_house_request_bar_management")

router.register(r'parent_company_kill_house_request_bar_management',
                killhouse_views.ParentCompanyKillHouseRequestForBarManagementViewSet,
                basename="parent_company_kill_house_request_bar_management")

router.register(r'ware-house-accept-kill-house-request',
                killhouse_views.KillHouseWareHouseAcceptedKillHouseRequestViewSet,
                basename="ware-house-accept-kill-house-request")
router.register(r'dashboard_enter_load_information',
                killhouse_views.DashboardEnterLoadInformationView,
                basename="dashboard_enter_load_information")
router.register(r'bar-documents-status', killhouse_views.BarDocumentStatusViewset, basename="bar-documents-status")
router.register(r'bars_for_kill_house', killhouse_views.InputBarsForKillHouseViewSet, basename="bars_for_kill_house"),
router.register(r'bars_for_kill_house_dashboard', killhouse_views.InputBarsForKillHouseDashboardViewSet,
                basename="bars_for_kill_house_dashboard"),
router.register(r'pricing', province_views.PricingViewSet, basename="pricing")
router.register(r'kill-house-losses', province_views.KillHousePercentageOfLossesViewset, basename="kill-house-losses")
router.register(r'vet_check_province_kill_request', province_views.VetCheckAllocationsViewSet,
                basename="vet_check_province_kill_request")
router.register(r'poultry_science', province_views.PoultryScienceViewSet,
                basename="poultry_science")
router.register(r'poultry_science_report', province_views.PoultryScienceReportViewSet,
                basename="poultry_science_report")
router.register(r'guilds-configs', province_views.GuildsGeneralConfigsViewSet,
                basename="guilds-configs")
router.register(r'guilds-for-configs', province_views.GuildsForGeneralConfigsViewSet,
                basename="guilds-for-configs")
router.register(r'return-deleted-allocation', province_views.ReturnStewardAllocationViewSet,
                basename="return-deleted-allocation")
router.register(r'vet_check_province_kill_request', province_views.VetCheckAllocationsViewSet,
                basename="vet_check_province_kill_request")
router.register(r'aggregate-vet-check-province-kill-request', province_views.AggregateVetCheckAllocationsViewSet,
                basename="aggregate-vet-check-province-kill-request")
router.register(r'province_percent', province_views.ProvincePercentLeftOverViewSet, basename="province_percent")
router.register(r'product', province_views.ProductViewSet, basename="product")
router.register(r'roles-products', province_views.RolesProductsViewset, basename="roles-products")
router.register(r'pos-roles-products', province_views.PosRolesProductsViewset, basename="pos-roles-products")
router.register(r'pos-other-products', province_views.PosPosOtherProductsViewset, basename="pos-other-products")
router.register(r'pos-combine-products', province_views.CombinedPosProductsViewSet, basename="pos-combine-products")
router.register(r'pos/new-pos-combine-products', province_views.NewCombinedPosProductsViewSet, basename="new-pos-combine-products")
router.register(r'pos-machine-transactions', province_views.GuildsForPosMachineTransactionsViewSet,
                basename="pos-machine-transactions")
router.register(r'details-pos-machine-transactions', province_views.DetailsOfGuildsForPosMachineTransactionsViewSet,
                basename="pos-machine-transactions")
router.register(r'dashboard-pos-machine-transactions', province_views.DashboardOfGuildsForPosMachineTransactionsViewSet,
                basename="pos-machine-transactions")
router.register(r'cooperative-warehouse', province_views.CooperativeWarehouseDashboardViewSet,
                basename="cooperative-warehouse")
router.register(r'cooperative-warehouse-dashboard', province_views.DashboardForCooperativeWarehouseViewSet,
                basename="cooperative-warehouse-dashboard")
router.register(r'price-confirmation', province_views.PriceConfirmationViewset,
                basename="price-confirmation")
router.register(r'beneficiary-accounts', province_views.CompanyBeneficiaryAccountViewset,
                basename="beneficiary-accounts")
router.register(r'pos-machine-transactions-inspection', province_views.PosMachineTransactionsForInsPectionViewSet,
                basename="pos-machine-transactions-inspection")
router.register(r'guild-ware-house-product', province_views.GuildsWareHouseProductViewSet,
                basename="guild-ware-house-product")
router.register(r'guild-ware-house-total-product', province_views.GuildsWareHouseTotalProductViewSet,
                basename="guild-ware-house-total-product")
router.register(r'cold-house', province_views.ColdHouseViewSet,
                basename="cold-house")
router.register(r'total-cold-house-dashboard-roles', province_views.TotalColdHouseDashboardForRolesViewSet,
                basename="total-cold-house-dashboard-roles")
router.register(r'cold-house-for-province', province_views.ColdHouseForProvinceViewSet,
                basename="cold-house-for-province")

router.register(r'cold-house-dashboard', province_views.ColdHouseDashboardViewSet,
                basename="cold-house-dashboard")
router.register(r'cold-house-total-dashboard', province_views.ColdHouseTotalDashboardViewSet,
                basename="cold-house-total-dashboard")
router.register(r'final-approval-out-province-poultry-request', province_views.FinalApprovalOutProvinceViewSet,
                basename="final-approval-out-province-poultry-request")
router.register(r'cold-house-allocations', province_views.ColdHouseAllocationsViewSet,
                basename="cold-house-allocations")

router.register(r'check-cold-house-allocations', province_views.CheckColdHouseAllocationsViewSet,
                basename="check-cold-house-allocations")
router.register(r'share-type', province_views.ShareTypeViewset,
                basename="share-type")
router.register(r'wage-type', province_views.WageTypeViewset,
                basename="wage-type")
router.register(r'poultry-out-province-wage-type', province_views.PoultryOutProvinceWageTypeViewset,
                basename="poultry-out-province-wage-type")
router.register(r'wage-type-percentage', province_views.PercentageOfWageTypeViewset,
                basename="wage-type-percentage")
router.register(r'sub-sector-wage-type-percentage', province_views.SubSectorPercentageOfWageTypeViewset,
                basename="sub-sector-wage-type-percentage")
router.register(r'allow_direct_buying', province_views.ProvinceAllowKillHouseDirectBuyingViewset,
                basename="allow_direct_buying")
router.register(r'poultry-export', province_views.PoultryExportViewset,
                basename="poultry-export")
router.register(r'poultry-out-province-request', province_views.PoultryOutProvinceRequestViewset,
                basename="poultry-out-province-request")
router.register(r'allow_direct_buying_total', province_views.ProvinceAllowKillHouseDirectBuyingTotalViewset,
                basename="allow_direct_buying_total")

router.register(r'allow_register_guilds', province_views.ProvinceAllowKillHouseRegisterGuildsViewset,
                basename="allow_direct_buying")
router.register(r'pos-version', province_views.PosVersionViewSet,
                basename="pos-version")
router.register(r'pos-error', province_views.POSIdViewSet,
                basename="pos-error")
router.register(r'additional-products', province_views.AdditionalProductsViewSet,
                basename="additional-products")
router.register(r'server-main-products', province_views.ServerMainProductsViewSet,
                basename="server-main-products")
router.register(r'pos-item', province_views.PosItemViewSet,
                basename="pos-item")
router.register(r'allow_register_guilds_total', province_views.ProvinceAllowKillHouseRegisterGuildsTotalViewset,
                basename="allow_direct_buying_total")
router.register(r'wage_payment', province_views.WagePaymentViewset, basename="wage_payment")
router.register(r'wage-payment-total', province_views.WagePaymentTotalViewset, basename="wage-payment-total")
router.register(r'wage-payment-with-link', province_views.WagePaymentWithLinkViewset, basename="wage-payment-with-link")
router.register(r'wage_payment_based_on_weight', province_views.WagePaymentBasedOnWeightViewset,
                basename="wage_payment_based_on_weight")
router.register(r'wage_payment_final_step', province_views.WagePaymentFinalStepViewset,
                basename="wage_payment_final_step")
router.register(r'wage_payment_final_step_zarin_pal', province_views.WagePaymentFinalStepZarinPalViewset,
                basename="wage_payment_final_step_zarin_pal")
router.register(r'wage_payment_with_link_final_step', province_views.WagePaymentWithLinkFinalStepViewset,
                basename="wage_payment_with_link_final_step")
router.register(r'poultry_allow_city_province', province_views.PoultryAllowCityProvinceViewset,
                basename="poultry_allow_city_province")
router.register(r'commerce', province_views.CommerceViewSet,
                basename="commerce")
router.register(r'improving_livestock', province_views.ImprovingLivestockViewSet,
                basename="improving_livestock")
router.register(r'observatory', province_views.ObservatoryViewSet,
                basename="observatory")
router.register(r'check_direct_buying', province_views.ProvinceCheckDirectBuyingViewSet,
                basename="check_direct_buying")
router.register(r'automatic-direct-buying-permission', province_views.AutomaticDirectBuyingPermissionViewSet,
                basename="automatic-direct-buying-permission")
router.register(r'losses_permission', province_views.HatchingLossesPermissionViewSet,
                basename="losses_permission")
router.register(r'city_commerce', province_views.CityCommerceViewSet,
                basename="city_commerce")

router.register(r'payment-gateway-percentage', province_views.PaymentGatewayPercentageViewset,
                basename="payment-gateway-percentage")

router.register(r'total-payment-gateway-percentage', province_views.TotalPaymentGatewayPercentageViewset,
                basename="total-payment-gateway-percentage")

router.register(r'province_supervisor', province_views.ProvinceSupervisorViewSet,
                basename="province_supervisor")
router.register(r'city_supervisor', province_views.CitySupervisorViewSet,
                basename="city_supervisor")
router.register(r'super-admin', province_views.SuperAdminViewSet,
                basename="super-admin")
router.register(r'admin-x', province_views.AdminXViewSet,
                basename="admin-x")
router.register(r'supporter', province_views.SupporterViewSet,
                basename="supporter")
router.register(r'parent-company', province_views.ParentCompanyViewSet,
                basename="parent-company")
router.register(r'city-guild', province_views.CityGuildViewSet,
                basename="city-guild")
router.register(r'city-guild-wage-dashboard', province_views.CityGuildWageDashboardViewSet,
                basename="city-guild-wage-dashboard")
router.register(r'city-guild-for-sub-sector', province_views.CityGuildForSubSectorViewSet,
                basename="city-guild-for-sub-sector")
router.register(r'city-guild-for-sub-sector-transactions', province_views.CityGuildForSubSectorTransactionsViewSet,
                basename="city-guild-for-sub-sector-transactions")
router.register(r'jahad_inspector', province_views.JahadInspectorViewSet,
                basename="jahad_inspector")

router.register(r'kill_request', killhouse_views.KillRequestViewSet, basename="kill_request")
router.register(r'dashboard_kill_request', killhouse_views.DashboardKillRequestViewSet,
                basename="dashboard_kill_request")
router.register(r'delete-debtors-kill-requests', killhouse_views.DeleteDebtorsKillRequestsViewSet,
                basename="delete-debtors-kill-requests")
router.register(r'kill_house_total_wage', killhouse_views.KillHouseForProvinceWageViewSet,
                basename="kill_house_total_wage")
router.register(r'kill_house_total_transactions_wage', killhouse_views.KillHouseForTotalProvinceWageTransactionViewSet,
                basename="kill_house_total_transactions_wage")
router.register(r'kill_house_free_bar_total_wage', killhouse_views.KillHouseForFreeBarWageViewSet,
                basename="kill_house_free_bar_total_wage")
router.register(r'kill_house_for_free_sale_bar', killhouse_views.KillHouseForFreeSaleBarInformationViewSet,
                basename="kill_house_for_free_sale_bar")
router.register(r'kill_house_creditors', killhouse_views.KillHouseCreditorsViewSet, basename="kill_house_creditors")
router.register(r'automatic_kill_request', killhouse_views.AutomaticKillRequestViewSet,
                basename="automatic_kill_request")
router.register(r'kill_house_request', killhouse_views.KillHouseRequestViewSet, basename="kill_house_request")
router.register(r'kill_house_requests', killhouse_views.UpdateKillHouseRequestViewSet, basename="kill_house_requests")
router.register(r'kill_house_request_pricing', killhouse_views.KillHouseRequestPricingViewSet, basename="kill_house_request_pricing")
router.register(r'kill_house_request_complete_information',
                killhouse_views.KillHouseRequestForCompleteInformationViewSet,
                basename="kill_house_request_complete_information")
router.register(r'kill_house_request_aggregate_load', killhouse_views.KillHouseRequestForAggregateLoadsViewSet,
                basename="kill_house_request_aggregate_load")
router.register(r'kill_house_wage_dashbord_in_weight', killhouse_views.KillHouseWageDashbordInWeightViewSet,
                basename="kill_house_wage_dashbord_in_weight")
router.register(r'vet', killhouse_views.VetViewSet, basename="vet")
router.register(r'kill_house_vet', killhouse_views.KillHouseVetViewSet, basename="kill_house_vet")
router.register(r'kill_house_complaint', killhouse_views.KillHouseComplaintViewSet, basename="kill_house_complaint")
router.register(r'check_complaint', killhouse_views.CheckKillHouseComplaintViewSet, basename="check_complaint")
router.register(r'vet_check', killhouse_views.VetCheckRequestViewSet, basename="vet_check")
router.register(r'kill_house_check_request', killhouse_views.KillHouseCheckRequestViewSet,
                basename="kill_house_check_request")
router.register(r'slaughter-house-transaction', killhouse_views.SlaughterHouseTransactionViewSet,
                basename="slaughter-house-transaction")
router.register(r'kill_house_assignment_information', killhouse_views.KillHouseAssignmentInformationViewSet,
                basename="kill_house_assignment_information")
router.register(r'kill_house_assignment_information_for_completed_loads',
                killhouse_views.KillHouseAssignmentInformationForcompletedloadsViewSet,
                basename="kill_house_assignment_information_for_completed_loads")
router.register(r'kill_house_assignment_information_aggregate_load',
                killhouse_views.KillHouseAssignmentInformationForAggregateLoadViewSet,
                basename="kill_house_assignment_information_aggregate_load")
router.register(r'kill_house_driver', killhouse_views.KillHouseDriverViewSet,
                basename="kill_house_driver")
router.register(r'kill_house_driver_total_dashboard', killhouse_views.KillHouseDriverTotalDashboardViewSet,
                basename="kill_house_driver_total_dashboard")
router.register(r'total-wage-exclusive-killer-information', killhouse_views.TotalWageInformationExclusiveKillerViewset,
                basename="total-wage-exclusive-killer-information")
router.register(r'kill_request_for_poultry', killhouse_views.KillRequestForPoultryViewSet,
                basename="kill_request_for_poultry")
router.register(r'kill_house_percent', killhouse_views.KillHousePercentageViewSet,
                basename="kill_house_percent")
router.register(r'kill_request_factor', killhouse_views.KillRequestFactorViewSet,
                basename="kill_request_factor")
router.register(r'kill_request_factor_payment', killhouse_views.KillRequestFactorPaymentViewSet,
                basename="kill_request_factor_payment")
router.register(r'province_factor_to_kill_house', province_views.ProvinceFactorToKillHouseViewSet,
                basename="province_factor_to_kill_house")
router.register(r'area-activity', province_views.AreaActivityViewSet,
                basename="area-activity")
router.register(r'type-activity', province_views.TypeActivityViewSet,
                basename="type-activity")
router.register(r'guilds', province_views.GuildsViewSet,
                basename="guilds")

router.register(r'real-guilds', province_views.RealGuildsViewSet,
                basename="real-guilds")

router.register(r'guild', province_views.RegisterGuildsViewSet,
                basename="guild")
router.register(r'stewards-for-cold-house', province_views.StewardForColdHouseViewSet,
                basename="stewards-for-cold-house")
router.register(r'steward-cold-houses', province_views.StewardColdHousesViewSet,
                basename="steward-cold-houses")
router.register(r'pos-transaction', province_views.PosMachineTransactionViewSet,
                basename="pos-transaction")
router.register(r'pos-ntransaction', province_views.NewPosMachineTransactionViewSet,
                basename="pos-ntransaction")
router.register(r'live-stock-transactions', province_views.LiveStockTransactionViewSet,
                basename="live-stock-transactions")
router.register(r'live-stock-transactions-dashboard', province_views.LiveStockTransactionDashboeardViewSet,
                basename="live-stock-transactions-dashboard")
router.register(r'pos-allocation-transaction', province_views.PosAllocationTransactionsViewSet,
                basename="pos-allocation-transaction")
router.register(r'broadcast-price', province_views.BroadcastPriceViewset,
                basename="broadcast-price")
router.register(r'free-sale-limitation', province_views.OutProvinceSaleLimitationViewset,
                basename="free-sale-limitation")
router.register(r'pos-broadcast-price', province_views.PosBroadcastPriceViewset,
                basename="pos-broadcast-price")
router.register(r'new-pos-broadcast-price', province_views.NewPosBroadcastPriceViewset,
                basename="new-pos-broadcast-price")
router.register(r'pos-guilds', province_views.PosGuildsViewSet,
                basename="pos-guilds")
router.register(r'total-guilds-for-pos', province_views.TotalGuildsForPosViewSet,
                basename="total-guilds-for-pos")

router.register(r'cars', province_views.CarViewSet,
                basename="cars")
router.register(r'check_guilds', province_views.ProvinceCheckKillHouseGuildsViewSet,
                basename="check_guilds")
router.register(r'total_guilds', province_views.TotalGuildsViewSet,
                basename="total_guilds")
router.register(r'total-guilds-distribution-management', province_views.TotalGuildsDistributionManagementViewSet,
                basename="total-guilds-distribution-management")
router.register(r'test_total_guilds', province_views.TestTotalGuildsViewSet,
                basename="test_total_guilds")
router.register(r'products-pricing-type', province_views.ProductPricingTypeViewset,
                basename="products-pricing-type")
router.register(r'allow_register_code_for_guilds', province_views.AllowRegisterCodeForGuildsViewSet,
                basename="allow_register_code_for_guilds")
router.register(r'steward-app-login', province_views.StewardAppLoginViewSet,
                basename="steward-app-login")
router.register(r'total_guilds_for_companies', province_views.TotalGuildsForCompaniesViewSet,
                basename="total_guilds_for_companies")
router.register(r'report-pos-device_session', province_views.ReportPosDeviceSessionViewSet,
                basename="report-pos-device_session")
router.register(r'total_guilds_for_inspection', province_views.TotalGuildsForInspectionViewSet,
                basename="total_guilds_for_inspection")
router.register(r'pos-for-inspection', province_views.POSMachineForInspectionViewSet,
                basename="pos-for-inspection")
router.register(r'steward', province_views.StewardViewSet,
                basename="steward")

router.register(r'kill-house-price-permission', province_views.KillHousePricePermissionViewset,
                basename="kill-house-price-permission")
router.register(r'pos-company', province_views.PosCompanyViewSet,
                basename="pos-company")

router.register(r'pos-machine', province_views.POSMachineViewSet,
                basename="pos-machine")
router.register(r'new-pos-machine', province_views.FinalPOSMachineViewSet,
                basename="new-pos-machine")
router.register(r'user-pos-machine', province_views.UserPOSMachineViewSet,
                basename="user-pos-machine")

router.register(r'cooperative-pos', province_views.POSMachineForLiveStackViewSet,
                basename="cooperative-pos")

router.register(r'pos_register_session', province_views.POSDeviceSessionViewSet,
                basename="pos_register_session")
router.register(r'pos_register_session_inspection', province_views.POSDeviceSessionForInspectionViewSet,
                basename="pos_register_session_inspection")

router.register(r'pos_device_version', province_views.PosDeviceVersionViewSet,
                basename="pos_device_version")
router.register(r'server-pos-machine', province_views.POSMachineForServerViewSet,
                basename="server-pos-machine")
router.register(r'union-subsector-wage-dashboard', province_views.TotalCitySubSectorWageDashboardViewSet,
                basename="union-subsector-wage-dashboard")
router.register(r'union-subsector-transaction-dashboard', province_views.TotalCitySubSectortransactionDashboardViewSet,
                basename="union-subsector-transaction-dashboard")
router.register(r'sub-sector-transactions', province_views.SubSectorTransactionsViewSet,
                basename="sub-sector-transactions")
router.register(r'pos-transactions', province_views.POSTransactionsViewSet,
                basename="pos-transactions")
router.register(r'internal-transactions', province_views.InternalTransactionViewset,
                basename="internal-transactions")
router.register(r'poultry-requests-transactions', province_views.PoultryRequestInternalTransactionViewset,
                basename="poultry-requests-transactions")

router.register(r'total-dashboard-poultry-requests-transactions',
                province_views.TotalDashboardPoultryRequestInternalTransactionViewset,
                basename="total-dashboard-poultry-requests-transactions")

router.register(r'total-internal-transactions', province_views.TotalInternalTransactionViewset,
                basename="total-internal-transactions")
router.register(r'parent-company-total-internal-transactions',
                province_views.ParentCompanyTotalInternalTransactionViewset,
                basename="parent-company-total-internal-transactions")
router.register(r'payer-internal-transactions', province_views.PayersInternalTransactionViewset,
                basename="payer-internal-transactions")
router.register(r'steward_warehouse', province_views.StewardWareHouseViewSet,
                basename="steward_warehouse")
router.register(r'steward_free_bar', province_views.StewardFreeBarInformationViewSet,
                basename="steward_free_bar")
router.register(r'steward_free_bar_dashboard', province_views.StewardFreeBarInformationDashboardViewSet,
                basename="steward_free_bar_dashboard")
router.register(r'pos-steward-free-bar', province_views.PosStewardFreeBarInformationViewSet,
                basename="pos-steward-free-bar")
router.register(r'pos-segmentation', province_views.PosSegmentationViewSet,
                basename="pos-segmentation")
router.register(r'new-pos-segmentation', province_views.NewPosSegmentationViewSet,
                basename="new-pos-segmentation")
router.register(r'app-segmentation', province_views.AppSegmentationViewSet,
                basename="app-segmentation")

router.register(r'steward_free_sale_bar', province_views.StewardFreeSaleBarInformationViewSet,
                basename="steward_free_sale_bar")
router.register(r'allow_register_code_for_steward_free_sale_bar_information', province_views.AllowRegisterCodeForStewardFreeSaleBarInformationViewSet,
                basename="allow_register_code_for_steward_free_sale_bar_information")
router.register(r'allow_register_code_for_kill_house_free_sale_bar_information', province_views.AllowRegisterCodeForKillHouseFreeSaleBarInformationViewSet,
                basename="allow_register_code_for_kill_house_free_sale_bar_information")
router.register(r'limitation_for_direct_purchase_and_bar_information', province_views.LimitationForDirectPurchaseAndBarInformationViewSet,
                basename="limitation_for_direct_purchase_and_bar_information")
router.register(r'steward_free_sale_bar_dashboard', province_views.StewardFreeSaleBarInformationDashboardViewSet,
                basename="steward_free_sale_bar_dashboard")
router.register(r'ware-house-archive', province_views.WarehouseArchiveViewSet,
                basename="ware-house-archive")
router.register(r'guilds_warehouse', province_views.GuildsWareHouseViewSet,
                basename="guilds_warehouse")

router.register(r'steward-allocation', province_views.StewardAllocationViewSet,
                basename="steward-allocation")
router.register(r'in-province-allocation-dashboard', province_views.InProvinceAllocationDashboardViewSet,
                basename="in-province-allocation-dashboard")
router.register(r'in-province-allocation', province_views.InProvinceAllocationViewSet,
                basename="in-province-allocation")
router.register(r'total-steward-dashboard', province_views.TotalStewardDashboardViewSet,
                basename="total-steward-dashboard")
router.register(r'total-steward-dashboard-detail', province_views.TotalStewardDashboarDetailViewSet,
                basename="total-steward-dashboard-detail")
router.register(r'batch-steward-allocation', province_views.BatchStewardAllocationViewSet,
                basename="batch-steward-allocation")
router.register(r'upload-image-limit', province_views.UploadImageLimitationViewset,
                basename="upload-image-limit")
router.register(r'apk-info', province_views.ApkInfoViewset,
                basename="apk-info")
router.register(r'direct-buying-verification', province_views.DirectBuyingVerificationViewset,
                basename="direct-buying-verification")
router.register(r'fine-permission', province_views.FinePermissionViewset,
                basename="fine-permission")
router.register(r'show-market-requests', province_views.ShowMarketRequestViewset,
                basename="show-market-requests")
router.register(r'market-daily-limitation', province_views.MarketDailyLimitationViewset,
                basename="market-daily-limitation")
router.register(r'hatching-archive-percent', province_views.HatchingArchivePercentViewset,
                basename="hatching-archive-percent")
router.register(r'index-weight-category', province_views.IndexWeightCategoryViewSet,
                basename="index-weight-category")
router.register(r'drop-limit', province_views.PercentageDropLimitationViewset,
                basename="drop-limit")
router.register(r'pos-allocations', province_views.PosStewardAllocationViewSet,
                basename="pos-allocations")
router.register(r'new-pos-allocations', province_views.NewPosStewardAllocationViewSet,
                basename="new-pos-allocations")
router.register(r'steward-guild-allocation', province_views.StewardGuildAllocationViewSet,
                basename="steward-guild-allocation")

router.register(r'automatic-steward-allocation', province_views.AutomaticStewardAllocationViewSet,
                basename="automatic-steward-allocation")
router.register(r'first-automatic-steward-allocation', province_views.FirstAutomaticStewardAllocationViewSet,
                basename="first-automatic-steward-allocation")

router.register(r'kill_house_choose_steward_guilds', province_views.ProvinceAllowKillHouseChooseStewardGuildsViewset,
                basename="kill_house_choose_steward_guilds")
router.register(r'province_check_kill_request', province_views.ProvinceCheckKillRequestViewSet,
                basename="province_check_kill_request")
router.register(r'province_check_out_factors', province_views.ProvinceImportKillHouseOutFactorsViewSet,
                basename="province_check_out_factors")
router.register(r'jahad', province_views.JahadViewSet,
                basename="jahad")

router.register(r'city_jahad', province_views.CityJahadViewSet,
                basename="city_jahad")

router.register(r'protein_guild', province_views.ProteinGuildViewSet,
                basename="protein_guild")

router.register(r'city-poultry', province_views.CityPoultryViewSet,
                basename="city-poultry")

router.register(r'dispenser', province_views.DispenserViewSet,
                basename="dispenser")
router.register(r'dispenser-info', province_views.DispenserInformationViewSet,
                basename="dispenser-info")
router.register(r'representative', province_views.RepresentativeViewSet,
                basename="representative")
router.register(r'dispenser-dashboard', province_views.DispenserDashboardViewSet,
                basename="dispenser-dashboard")
router.register(r'dispenser-allocations-dashboard', province_views.DispenserAllocationDashboardViewSet,
                basename="dispenser-allocations-dashboard")
router.register(r'dispenser-allocations', province_views.DispenserAllocationViewSet,
                basename="dispenser-allocations")
router.register(r'live_stock_support', province_views.LiveStockSupportViewSet,
                basename="live_stock_support")
router.register(r'guild_room', province_views.GuildRoomViewSet,
                basename="guild_room")
router.register(r'city_vet', province_views.CityVetViewSet,
                basename="city_vet")
router.register(r'government', province_views.ProvincialGovernmentViewSet,
                basename="government")
router.register(r'province_allow_kill_house_register_car', province_views.ProvinceAllowKillHouseRegisterCarViewset,
                basename="province_allow_kill_house_register_car")
router.register(r'province_allow_poultry_choose_kill_house', province_views.ProvinceAllowPoultryChooseKillHouseViewset,
                basename="province_allow_poultry_choose_kill_house")
router.register(r'province_allow_poultry_choose_kill_house_total',
                province_views.ProvinceAllowPoultryChooseKillHouseTotalViewset,
                basename="province_allow_poultry_choose_kill_house_total")

router.register(r'province_allow_poultry_sell_free', province_views.ProvinceAllowPoultrySellFreeViewset,
                basename="province_allow_poultry_sell_free")
router.register(r'province_allow_poultry_sell_free_total', province_views.ProvinceAllowPoultrySellFreeTotalViewset,
                basename="province_allow_poultry_sell_free_total")

router.register(r'province_operator', province_views.ProvinceOperatorViewSet,
                basename="province_operator")

router.register(r'total-wage-information', province_views.TotalWageInformationViewset,
                basename="total-wage-information")

router.register(r'parent-company-total-wage-information', province_views.ParentCompanyTotalWageInformationViewset,
                basename="parent-company-total-wage-information")

router.register(r'province_check_operator_request', province_views.ProvinceCheckOperatorRequestViewSet,
                basename="province_check_operator_request")
router.register(r'province_check_operator_out_request', province_views.ProvinceCheckOperatorOutRequestViewSet,
                basename="province_check_operator_out_request")
router.register(r'province_request_auction', province_views.ProvinceRequestActionViewSet,
                basename="province_request_auction")
router.register(r'price_analysis', province_views.PriceAnalysisViewSet,
                basename="price_analysis")
router.register(r'share', province_views.ShareOfAllocationViewSet,
                basename="share")
router.register(r'province_check_info', province_views.ProvinceCheckInformationViewSet,
                basename="province_check_info")
router.register(r'supervisor', province_views.VetSupervisorViewSet,
                basename="supervisor")
router.register(r'province_factor_kill_house', province_views.ProvinceFactorToKillHouseViewSet,
                basename="province_factor_kill_house")
router.register(r'province_factor_kill_house_for_poultry', province_views.ProvinceFactorToKillHouseForPoultryViewSet,
                basename="province_factor_kill_house")
router.register(r'kill_house_list', province_views.KillHouseListForProvince, basename='kill_house_list')
router.register(r'activate_cars', province_views.ManageCarsByProvince, basename='activate_cars')
router.register(r'ware_house_factor', province_views.WareHouseFactorViewSet,
                basename="ware_house_factor")
router.register(r'inspector_operator', province_views.InspectorOperatorViewSet,
                basename="inspector_operator")
router.register(r'restriction_carcass_distribution', province_views.RestrictionCarcassDistributionViewSet,
                basename="restriction_carcass_distribution")
router.register(r'inspector', province_views.PovinceInspectorViewSet,
                basename="inspector")
router.register(r'sms_license', province_views.SmsLicenseViewset,
                basename="sms_license")
router.register(r'province_check_requests_price', province_views.ProvinceCheckRequestsPriceViewSet,
                basename="province_check_requests_price")
router.register(r'kill_house_factor_poultry', province_views.KillHouseFactorToPoultryViewSet,
                basename="kill_house_factor_poultry")
router.register(r'kill_house_factor_province', province_views.KillHouseFactorToProvinceViewSet,
                basename="kill_house_factor_province")
router.register(r'province_check_factor', province_views.ProvinceCheckKillHouseFactorViewSet,
                basename="province_check_factor")

router.register(r'chicken-age-range', province_views.ChickenAgeRangeViewset,
                basename="chicken-age-range")

router.register(r'time-range', province_views.TimeRangeViewset,
                basename="time-range")

router.register(r'evacuation_permit', province_views.EvacuationPermitViewSet,
                basename="evacuation_permit")
router.register(r'sell-for-freezing', province_views.SellForFreezingViewSet,
                basename="sell-for-freezing")
router.register(r'deposit_allocation', province_views.DepositAllocationViewSet,
                basename="deposit_allocation")
router.register(r'deadline', province_views.PaymentDeadLineViewSet,
                basename="deadline")
router.register(r'monthly_percent', province_views.MonthlyProfitPercentageViewSet,
                basename="monthly_percent")

router.register(r'rejected_requests', province_views.RejectedRequestsViewSet,
                basename="rejected_requests")

router.register(r'last-time-enter', main_views.OperatorLastTimeEnterViewSet,
                basename="last-time-enter")

router.register(r'reporting-role-limitation', main_views.ReportingFieldLimitationViewSet,
                basename="reporting-role-limitation")

router.register(r'wallet', province_views.WalletViewset, basename='wallet')
router.register(r'zarinpal-accounts', province_views.ZarinPalAccountsViewset, basename='zarinpal-accounts')
router.register(r'aggregate-permission', province_views.VetFarmAggregatePermissionViewset,
                basename='aggregate-permission')
router.register(r'bar-limitation', province_views.KillHouseBarLimitationViewset, basename='bar-limitation')
router.register(r'out-province-carcasses-permission', province_views.OutOfProvinceSellingCarcassesPermissionViewset,
                basename='out-province-carcasses-permission')
router.register(r'kill-house-distribution-management',
                province_views.KillHouseDistributionManagementStewardGuildViewset,
                basename='kill-house-distribution-management')
router.register(r'steward-distribution-management', province_views.StewardDistributionManagementGuildViewset,
                basename='steward-distribution-management')
router.register(r'operation-limitation', province_views.OperationLimitationViewset, basename='operation-limitation')
router.register(r'approved-price', province_views.ApprovedPriceViewset, basename='approved-price')
router.register(r'announcements', province_views.AnnouncementsViewset, basename='announcements')
router.register(r'itransaction', province_views.ItransactionViewset, basename='itransaction')
router.register(r'debt', province_views.DebttViewset, basename='debt')
router.register(r'financial_transaction', province_views.FinancialTransactionViewset, basename='financial_transaction')
router.register(r'penalty', province_views.PenaltyViewset, basename='penalty')
router.register(r'deposit', province_views.DepositViewset, basename='deposit')
# router.register(r'iwallet', province_views.IwallletViewset, basename='iwallet')
router.register(r'financialdocument', province_views.FinancialDocumentViewset, basename='financialdocument')
router.register(r'searchwallet', province_views.ReportingAllwalletRequestsViewset, basename='searchwallet')
router.register(r'chikeninfotmation', poultry_views.Chicken_informationViewSet, basename='chikeninfotmation')
router.register(r'poultryinformation', poultry_views.PoultryRequestInformation, basename='poultryinformation')
router.register(r'chart', poultry_views.Chart_DashbourdViewSet, basename='chart')
router.register(r'typecheck', province_views.TypeCheckViewset, basename='typecheck')
router.register(r'automatic_allocation', province_views.ProvinceAutoAllocationViewset,
                basename='automatic_allocation')
router.register(r'dashboard_detail_general_killhouse_wage', report_views.DashboardDetailsGeneralKillHoseWageViewSet,
                basename='dashboard_detail_general_killhouse_wage')
router.register(r'forcast_hatching', report_views.ForcastViewSet, basename='forcast_hatching')
router.register(r'case_status', report_views.CasestatusViewSet, basename='case_status')
router.register(r'general_case_status', report_views.GeneralCasestatusViewSet, basename='general_case_status')
router.register(r'poultry_report', report_views.PoultryReporttViewSet, basename='poultry_report')
router.register(r'letter_report', report_views.PoultryRequestletterReportViewSet, basename='letter_report')
router.register(r'hatching_query', report_views.HatchingQueryViewSet, basename='letter_report')
router.register(r'buyer_remittance', report_views.BuyerRemittance, basename='buyer_remittance')
router.register(r'iran_province', report_views.IranProvinceViewSet, basename='iran_province')
router.register(r'age-notification-poultry', report_views.AgeNotificationPoultryViewSet,
                basename='age-notification-poultry')
router.register(r'cookie-samasat', report_views.CookieSamasatViewSet,
                basename='cookie-samasat')
router.register(r'iran_city', report_views.IranCityViewSet, basename='iran_city')
router.register(r'hour_limit', province_views.HourLimitViewset,
                basename="hour_limit")
router.register(r'system-wallet', province_views.SystemWalletViewset,
                basename="system-wallet")
router.register(r'get_one_pos_version', province_views.GetOnePosVersionViewSet,
                basename="get_one_pos_version")

router.register(r'commonly-used', province_views.CommonlyUsedViewSet,
                basename="commonly-used")

router.register(r'free_sale_within_province', province_views.FreeSaleWithinprovinceViewset,
                basename="free_sale_within_province")
router.register(r'kill_house_hour_limit', province_views.KillHouseHourLimitViewset,
                basename="kill_house_hour_limit")
router.register(r'auto_accept_province_kill_requests', province_views.AutoAcceptProvinceKillRequestViewset,
                basename="auto_accept_province_kill_requests")
router.register(r'sms_recipient', province_views.SmsRecipientViewSet,
                basename="sms_recipient")

router.register(r'auto_make_kill_house_requests', province_views.AutoMakeKillHouseRequestViewset,
                basename="auto_make_kill_house_requests")

router.register(r'steward_ware_house_total_report_daily_broad_cast',
                province_views.TotalReportOfStewardWareHouseForDailyBroadCastViewSet,
                basename='steward_ware_house_total_report_daily_broad_cast')
router.register(r'steward_ware_house_total_report_daily_broad_cast_in_detail',
                province_views.TotalReportOfStewardWareHouseForDailyBroadCastInDetailsViewSet,
                basename='steward_ware_house_total_report_daily_broad_cast_in_detail')

router.register(r'report-submission', province_views.ReportSubmissionTimeViewset, basename='report-submission')
router.register(r'out-province-carcasses-buyer', province_views.OutProvinceCarcassesBuyerViewSet,
                basename='out-province-carcasses-buyer')
router.register(r'pos-out-province-carcasses-buyer', province_views.PosOutProvinceCarcassesBuyerViewSet,
                basename='pos-out-province-carcasses-buyer')
router.register(r'base-out-province-carcasses-buyer', province_views.BaseOutProvinceCarcassesBuyerViewSet,
                basename='base-out-province-carcasses-buyer')

router.register(r'reports', province_views.ReportsViewset, basename='reports')
router.register(r'reports-users', province_views.ReportsUsersViewset, basename='reports-users')
router.register(r'user-reports', province_views.UserReportsViewset, basename='user-reports')
router.register(r'moving-text-dashboard', province_views.MovingTextDashboardStatusViewset,
                basename='moving-text-dashboard')
router.register(r'moving-text', province_views.MovingTextViewset, basename='moving-text')
router.register(r'moving-text-with-role', province_views.MovingTextWithRoleViewset, basename='moving-text-with-role')

router.register(r'bar_report', killhouse_views.KillHouseBarReportingViewSet, basename='bar_report')
router.register(r'kill-house-request-total-wage', killhouse_views.KillHouseForKillHouseRequestWageViewSet,
                basename='kill-house-request-total-wage')
router.register(r'kill-house-new-wage', killhouse_views.KillHouseForNewWageInormationViewSet,
                basename='kill-house-new-wage')
router.register(r'kill-house-cold-house', killhouse_views.KillHouseForColdHouseViewSet,
                basename='kill-house-cold-house')
router.register(r'kill-house-cold-houses', killhouse_views.KillHouseColdHousesViewSet,
                basename='kill-house-cold-houses')
router.register(r'parent-company-kill-house-new-wage',
                killhouse_views.ParentCompanyKillHouseForNewWageInormationViewSet,
                basename='parent-company-kill-house-new-wage')
router.register(r'kill-house-distribution-info', killhouse_views.KillHouseDistributionInormationViewSet,
                basename='kill-house-distribution-info')
router.register(r'kill-house-dashboard-new-wage', killhouse_views.KillHouseTotalDashboardForNewWageInormationViewSet,
                basename='kill-house-dashboard-new-wage')
router.register(r'wallet-wage-payment', killhouse_views.WalletWagePaymentViewSet, basename='wallet-wage-payment')
router.register(r'general_poultry_request_letter_report', killhouse_views.GeneralPoultryRequestLetterReportViewSet,
                basename='general_poultry_request_letter_report')
router.register(r'killing_info_discrepancy_report', killhouse_views.KillingInformationDiscrepancyReportViewSet,
                basename='killing_info_discrepancy_report')
router.register(r'total_report_daily_broad_cast', killhouse_views.TotalReportForDailyBroadCastViewSet,
                basename='total_report_daily_broad_cast')

router.register(r'kill_house_test', killhouse_views.KillHouseFortestViewSet,
                basename='kill_house_test')

router.register(r'kill_house_ware_house_total_report_daily_broad_cast',
                killhouse_views.TotalReportOfKillHouseWareHouseForDailyBroadCastViewSet,
                basename='kill_house_ware_house_total_report_daily_broad_cast')
router.register(r'kill_house_ware_house_total_report_daily_broad_cast_in_detail',
                killhouse_views.TotalReportOfKillHouseWareHouseForDailyBroadCastInDetailsViewSet,
                basename='kill_house_ware_house_total_report_daily_broad_cast_in_detail')
router.register(r'pre-cold-kill-house-ware-house', killhouse_views.PreColdKillHouseWareHouseViewSet,
                basename='pre-cold-kill-house-ware-house')

router.register(r'kill-house-warehouse-dashboard-for-province',
                killhouse_views.KillHouseForProvinceWareHouseDashboardViewSet,
                basename='kill-house-warehouse-dashboard-for-province')
router.register(r'total-kill-house-warehouse-dashboard-for-province',
                killhouse_views.KillHouseForTotalProvinceWareHouseDashboardViewSet,
                basename='total-kill-house-warehouse-dashboard-for-province')

router.register(r'kill-house-ware-house-for-dispensers', killhouse_views.KillHouseWareHouseForDispensersViewSet,
                basename='kill-house-ware-house-for-dispensers')

router.register(r'kill_house_total_report_province_kill_requests',
                killhouse_views.KillHouseForTotalReportAutomaticStewardAllocationViewSet,
                basename='kill_house_total_report_province_kill_requests')
router.register(r'kill_house_total_province_kill_requests',
                killhouse_views.KillHouseForAutomaticStewardAllocationViewSet,
                basename='kill_house_total_province_kill_requests')
router.register(r'steward_guilds_allocations_for_statistical_profile',
                killhouse_views.StewardGuildsAllocationsForStatisticalProfileViewSet,
                basename='steward_guilds_allocations_for_statistical_profile')
router.register(r'kill_house_purchase_info', killhouse_views.KillHouseforPurchaseRequestViewSet,
                basename='kill_house_purchase_info')
router.register(r'kill_house_purchase', killhouse_views.KillHousePurchaseRequestViewSet, basename='kill_house_purchase')
router.register(r'kill_house_purchase_permission', killhouse_views.KillHousePurchaseRequestPermissionViewSet,
                basename='kill_house_purchase_permission')
router.register(r'allow_kill_house_vet', killhouse_views.KillHouseAllowVetViewSet, basename='allow_kill_house_vet')
router.register(r'check_losses', killhouse_views.CheckUnusualCasualtiesViewSet, basename='check_losses')
router.register(r'new', killhouse_views.KillHouseNewViewSet, basename='new')
router.register(r'detail_of_killing', killhouse_views.DetailOfKillingViewSet, basename='detail_of_killing')
router.register(r'dashboard_detail_of_killing', killhouse_views.DetailOfKillingDashboardView,
                basename='dashboard_detail_of_killing')
router.register(r'parent_company_dashboard_detail_of_killing',
                killhouse_views.ParentCompanyDetailOfKillingDashboardView,
                basename='parent_company_dashboard_detail_of_killing')
router.register(r'comprehensive_report_of_slaughterhouse',
                killhouse_views.ComprehensiveReportOfTheSlaughterhouseViewSet,
                basename='comprehensive_report_of_slaughterhouse')
router.register(r'delete-bar',
                killhouse_views.DeleteKillHouseRequest,
                basename='detele_bar')

router.register(r'non-receipt-request',
                killhouse_views.NonReceiptKillHouseRequestViewSet,
                basename='non-receipt-request')
router.register(r'return-kill-house-requests',
                killhouse_views.ReturnKillHouseRequestViewSet,
                basename='return-kill-house-request')
router.register(r'non-receipt-request-return',
                killhouse_views.ReturnNonReceiptKillHouseRequestViewSet,
                basename='non-receipt-request-return')

router.register(r'direct-buying-payment',
                killhouse_views.DirectBuyingPaymentViewSet,
                basename='direct-buying-payment')

router.register(r'direct-buying-requests',
                killhouse_views.ProvinceKillRequestDirectBuyingViewSet,
                basename='direct-buying-requests')

router.register(r'market-requests',
                killhouse_views.MarketKillRequestViewSet,
                basename='market-requests')

router.register(r'market-kill-houses',
                killhouse_views.MarketKillHouseViewSet,
                basename='market-kill-houses')

# router.register(r'poultryamar', poultry_views.PoultryHatchingAmar, basename='poultryamar')

# The API URLs are now determined automatically by the router.
urlpatterns = [
    path('', include(router.urls)),
    path('update-excel/', user_excel_update),
    path('add-excel/', user_excel),
    path('cancel_poultry_exchange_request/', Cancel_Poultry_Exchange_request),
    path('Check_Poultry_Auction_request_front/', Check_Poultry_Auction_request_front),
    path('make_kill_request/', make_kill_request),
    path('poultry_request_report_excel/', poultry_request_report_excel),
    path('vet_check_excel/', vet_check_excel),
    path('bar_excel/', bar_excel),
    path('0/hatching_excel/', hatching_excel),
    path('kill_house_excel/', kill_house_request_excel),
    path('bar_excel_trash_true/', bar_excel_trash_true),
    path('allocated_excel/', allocated_excel),
    path('poultry_kill_request_excel/', poultry_kill_request_excel),
    path('request_registration_kill_house/', request_registration_kill_house),
    path('new_load_of_kill_house_vet/', new_load_of_kill_house_vet),
    path('request_pending_allocation/', request_pending_allocation),
    path('car_allocation_excel/', car_allocation_excel),
    path('Test/', Test),
    path('Test1/', Test1),
    path('city_operator_for_poultry/', city_operator_for_poultry),
    path('excel_for_all_user/', excel_for_all_user),
    path('inventory/', inventory),
    path('Broadcast_management/', Broadcast_management),
    path('archive_hatching/', archive_hatching),
    path('guilds_excel/', guilds_excel),
    path('management_poultry/', management_poultry),
    path('commerce_report_excel/', commerce_report_excel),
    path('commerce_bar_excel/', commerce_bar_excel),
    path('archive_hatching_excel/', archive_hatching_excel),
    path('number_of_kills_weight_excel/', number_of_kills_weight_excel),
    path('number_of_kills_excel/', number_of_kills_excel),
    path('single_hatching_age_range_excel/', single_hatching_age_range_excel),
    path('hatching_age_range_excel/', hatching_age_range_excel),
    path('total_poultry_request_dashboard_excel/', total_poultry_request_dashboard_excel),
    path('total_poultry_hatching_dashboard_excel/', total_poultry_hatching_dashboard_excel),
    path('doughnut_hatching_excel/', doughnut_hatching_excel),
    path('forecast_hatching_left_over_excel/', forecast_hatching_left_over_excel),
    path('manager_of_farm_excel/', manager_of_farm_excel),
    path('kill_house__request_vet_killing_process_excel/', kill_house__request_vet_killing_process_excel),
    path('kill_house_percent_excel/', kill_house_percent_excel),
    path('poultry_request_out_excel/', poultry_request_out_excel),
    path('doughnut_left_hatching_excel/', doughnut_left_hatching_excel),
    path('get_all_user_excel/', get_all_user_excel),
    path('add_zero_for_user_mobile/', add_zero_for_user_mobile),
    path('stewards_excel/', stewards_excel),
    path('kill_house_total_wage_excel/', kill_house_total_wage_excel),
    path('steward_excel/', steward_excel),
    path('kill_house_total_wage_not_payid_excel/', kill_house_total_wage_not_payid_excel),
    path('all_kill_house_total_wage_excel/', all_kill_house_total_wage_excel),
    path('slaughterhouse_fee_excel/', slaughterhouse_fee_excel),
    path('slaughterhouse_fee_not_paid_excel/', slaughterhouse_fee_not_paid_excel),
    path('car_province_excel/', car_province_excel),
    path('kill_house_wage_archive_excel/', kill_house_wage_archive_excel),
    path('kill_house_total_wage_archive_excel/', kill_house_total_wage_archive_excel),
    path('process-for-each-hatching/', process_for_each_hatching),
    path('bar-management-kill-house-excel/', bar_management_kill_house_excel),
    path('all_inventory_excel/', all_inventory_excel),
    path('daily_process_excel/', daily_process_excel),
    path('dpe/', daily_process_excel),
    path('daily_process_klling_proccess_excel/', daily_process_klling_proccess_excel),
    path('killing_process_from_date_excel/', killing_process_from_date_excel),
    path('hatching_report_from_age_excel/', hatching_report_from_age_excel),
    path('discrepancy_report_excel/', discrepancy_report_excel),
    path('bar_for_each_persion_excel/', bar_for_each_persion_excel),
    path('poultry_excel/', poultry_excel),
    path('bar_contradiction_of_quarantine_excel/', bar_contradiction_of_quarantine_excel),
    path('detail_of_killing_excel/', detail_of_killing_excel),
    path('doke/', detail_of_killing_excel),
    path('pos_excel/', pos_excel),
    path('poultry_and_bar_daily_report_excel/', poultry_and_bar_daily_report_excel),
    path('bar_free_excel/', bar_free_excel),
    path('steward_ware_house_total_report_daily_excel/', steward_ware_house_total_report_daily_excel),
    path('steward_ware_house_total_report_daily_detail_excel/', steward_ware_house_total_report_daily_detail_excel),
    path('hatching_by_age_range/', hatching_by_age_range),
    path('hatching_for_detail_killing_excel/', hatching_for_detail_killing_excel),
    path('bar_live_stock_support_excel/', bar_live_stock_support_excel),
    path('comprehensive_report_of_the_slaughterhouse_excel/', comprehensive_report_of_the_slaughterhouse_excel),
    path('crotse/', comprehensive_report_of_the_slaughterhouse_excel),
    path('successful_transactions_excel/', successful_transactions_excel),
    path('unsuccessful_transactions_excel/', unsuccessful_transactions_excel),
    path('poultry_hatching_between_50age_70age_excel/', poultry_hatching_between_50age_70age_excel),
    path('number_of_times_with_quarantine_code_excel/', number_of_times_with_quarantine_code_excel),
    path('the_burden_of_quarantine_excel/', the_burden_of_quarantine_excel),
    path('bar_without_quarantine_code_excel/', bar_without_quarantine_code_excel),
    path('loads_that_differ_in_quarantine_and_cooperation_excel/',
         loads_that_differ_in_quarantine_and_cooperation_excel),
    path('government_burden_excel/', government_burden_excel),
    path('goverment_bar_state_with_a_certified_quarantine_code_excel/',
         goverment_bar_state_with_a_certified_quarantine_code_excel),
    path('free_loads_excel/', free_loads_excel),
    path('free_cargoes_obtained_from_quarantine_excel/', free_cargoes_obtained_from_quarantine_excel),
    path('free_loads_with_quarantine_code_excel/', free_loads_with_quarantine_code_excel),
    path('loads_outside_the_province_excel/', loads_outside_the_province_excel),
    path('loads_entering_the_slaughterhouse_excel/', loads_entering_the_slaughterhouse_excel),
    path('veterinarian_unloaded_load_excel/', veterinarian_unloaded_load_excel),
    path('completed_slaughterhouse_loads_excel/', completed_slaughterhouse_loads_excel),
    path('unloaded_cargo_without_quarantine_code_excel/', unloaded_cargo_without_quarantine_code_excel),
    path('unloaded_load_excel/', unloaded_load_excel),
    path('loads_unloaded_and_not_completed_by_the_slaughterhouse_excel/',
         loads_unloaded_and_not_completed_by_the_slaughterhouse_excel),
    path('hatching_date_range_excel/', hatching_date_range_excel),
    path('wallete_excel/', wallete_excel),
    path('kill_house_request_suspended_load_excel/', kill_house_request_suspended_load_excel),
    path('chain_excel/', chain_excel),
    path('kill_house_total_transactions_wage_payid_excel/', kill_house_total_transactions_wage_payid_excel),
    path('kill_house_total_transactions_wage_payid_super_admin_excel/',
         kill_house_total_transactions_wage_payid_super_admin_excel),
    path('kill_house_total_wage_excel_new/', kill_house_total_wage_excel_new),
    path('kill_house_total_transactions_wage_payid_admin_x_excel/',
         kill_house_total_transactions_wage_payid_admin_x_excel),
    path('get-payer-info/', get_gate_way_payer_info),
    path('direct_purchase_excel/', direct_purchase_excel),
    path('direct_purchase_archive_excel/', direct_purchase_archive_excel),
    path('payment_transactions_province_excel/', payment_transactions_province_excel),
    path('general_free_bar_excel/', general_free_bar_excel),
    path('out_province_poultry_request_buyers_excel/', out_province_poultry_request_buyers_excel),
    path('chain_company_buyers_excel/', chain_company_buyers_excel),
    path('bar_chain_excel/', bar_chain_excel),
    path('kill_house_user_excel/', kill_house_user_excel),
    path('general_city_operator/', general_city_operator),
    path('poultry_monitoring_excel/', poultry_monitoring_excel),
    path('get_country/', get_country),
    path('export_kill_house_excel/', export_kill_house_excel),
    path('monitor_loads_excel/', monitor_loads_excel),
    path('kill_house_free_bar_excel/', kill_house_free_bar_excel),
    path('check_excel/', check_excel),
    path('find_gid_code/', find_gid_code),
    path('roles-users/', Rolesusers),
    path('technical_responsible_performance_excel/', technical_responsible_performance_excel),
    path('totoal_technical_responsible_performance_excel/', totoal_technical_responsible_performance_excel),
    path('bot_eitaa_for_bar/', bot_eitaa_for_bar),
    path('bot_eitaa_free_bar/', bot_eitaa_free_bar),
    path('bot_eitaa_for_hatching_gt_50/', bot_eitaa_for_hatching_gt_50),
    path('transacion_out_request_excel/', transacion_out_request_excel),
    path('bot_eitaa_for_province_kill_request/', bot_eitaa_for_province_kill_request),
    path('out_province_carcasses_buyer_kill_house_excel/', out_province_carcasses_buyer_kill_house_excel),
    path('kill_house_free_sale_bar_information_excel/', kill_house_free_sale_bar_information_excel),
    path('kill_house_free_sale_bar_information_for_excel_excel/', kill_house_free_sale_bar_information_for_excel_excel),
    path('fix_image_voilation_hatching/', fix_image_voilation_hatching),
    path('fix_image_voilation_hatching_return/', fix_image_voilation_hatching_return),
    path('from_allocation_to_distribution_excel/', from_allocation_to_distribution_excel),
    path('pos-finder/', pos_finder),
    path('check-server/', Check_server),
    path('pos-get-finder/', pos_get_finder),
    path('get_hatching_kill_ingo/', get_hatching_kill_ingo),
    path('get-all-poultry/', GetAllPoultryViewSet.as_view()),
    path('get-all-poultry-for-poultry-science/', GetAllPoultryForPoultryScienceViewSet.as_view()),
    path('get-all-poultry-for-increase-hatching/', GetAllPoultryFoIncreaseHatchingViewSet.as_view()),
    path('send_sms_for_poultry_from_age_notification/', send_sms_for_poultry_from_age_notification),
    path('notentered_bars_for_kill_house_excel/', notentered_bars_for_kill_house_excel),
    path('entered_bars_for_kill_house_excel/', entered_bars_for_kill_house_excel),
    path('kill_house_free_bar_entered_for_warehouse_excel/', kill_house_free_bar_entered_for_warehouse_excel),
    path('steward_allocation_for_warehouse_excel/', steward_allocation_for_warehouse_excel),
    path('kill_house_free_bar_carcasses_for_warehouse_excel/', kill_house_free_bar_carcasses_for_warehouse_excel),
    path('kill_house_inventory_data/', kill_house_inventory_data),
    path('all_kill_house_inventory_data/', all_kill_house_inventory_data),
    path('cold_house_excel/', cold_house_excel),
    path('management_cold_house_excel/', management_cold_house_excel),
    path('auto_warehouse_steward_allocations/', auto_warehouse_steward_allocations),
    path('warehouse_archive_combined_excel/', warehouse_archive_combined_excel),
    path('all_distribution_province/', all_distribution_province),
    path('login_user_excel/', login_user_excel),
    path('sub_section_of_cooperative_share_detail/', sub_section_of_cooperative_share_detail),
    path('city_operator_for_sub_sector_excel/', city_operator_for_sub_sector_excel),
    path('vet_for_sub_sector_excel/', vet_for_sub_sector_excel),
    path('test_excel/', test_excel),
    path('guild_for_sub_sector_excel/', guild_for_sub_sector_excel),
    path('all_guilds_transaction_excel/', all_guilds_transaction_excel),
    path('detail_guilds_transaction_excel/', detail_guilds_transaction_excel),
    path('GetExcel/', GetExcel.as_view()),
    path('management_hatching_excel/', management_hatching_excel),
    path('user_without_role_excel/', user_without_role_excel),
    path('poultry_hatching_prediction_chart_excel/', poultry_hatching_prediction_chart_excel),
    path('poultry_hatching_prediction_excel/', poultry_hatching_prediction_excel),
    path('bar_difference_reques_excel/', bar_difference_reques_excel),
    path('api_update_poultry_hatching/', api_update_poultry_hatching),
    path('api_update_chicken_breed/', api_update_chicken_breed),
    path('create_kill_house_free_bar/', create_kill_house_free_bar),
    path('fix_bar_without_quarantine/', fix_bar_without_quarantine),
    path('get_gid_out_province_manual/', get_gid_out_province_manual),
    path('get_all_pos_company/', get_all_pos_company),
    path('update_role_product/', update_role_product),
    path('create_update_chicken_commission_prices/', create_update_chicken_commission_prices),
    path('update_cooperative_share/', update_cooperative_share),
    path('dashboard_monitoring_view/', dashboard_monitoring_view),
    path('create_update_chicken_commission_prices_manual/', create_update_chicken_commission_prices_manual),
    path('api_update_poultry_hatching_from_rsi/', api_update_poultry_hatching_from_rsi),
    path('get_all_pos_version/', get_all_pos_version),
    path('dashboard_monitoring_bar_and_killing/', dashboard_monitoring_bar_and_killing),
    path('dashboard_monitoring_bar_and_killing_excel/', dashboard_monitoring_bar_and_killing_excel),
    path('remove_access_token_manual/', remove_access_token_manual),
    path('find_gid_code_manual/', find_gid_code_manual),
    path('dashboarad_bar_for_kill_house/', dashboarad_bar_for_kill_house),
    path('dashboard_bar_difference_request/', dashboard_bar_difference_request),
    path('daily_manual_transaction_for_eata/', daily_manual_transaction_for_eata),
    path('get_all_pos_transaction/', get_all_pos_transaction),
    path('send_clearance_code_to_rsi/', send_clearance_code_to_rsi),
    path('api_send_clearance_code_to_rsi/', api_send_clearance_code_to_rsi),
    path('create_steward_allocation_from_excel/', create_steward_allocation_from_excel),
    path('send_bar_info_from_ticket/', send_bar_info_from_ticket),
    path('steward_allocation_excel/', steward_allocation_excel),
    path('free_sale_out_province_excel/', free_sale_out_province_excel),
    path('get_all_guilds/', get_all_guilds),
    path('steward_free_sale_out_province_excel/', steward_free_sale_out_province_excel),
    path('sevrence_kill_house_steward_allocation_excel/', sevrence_kill_house_steward_allocation_excel),
    path('total_steward_dashboard_excel/', total_steward_dashboard_excel),
    path('sub_section_of_cooperative_share_detail_with_date_excel/',
         sub_section_of_cooperative_share_detail_with_date_excel),
    path('add_poultry_request_quarantine_code/', add_poultry_request_quarantine_code),
    path('all_clearance_code_to_rsi/', all_clearance_code_to_rsi),
    path('hatching-detail/', HatchingDetailView.as_view()),
    path('direct-buying-poultry-requests/', PoultryRequestForDirectBuyingViewSet.as_view()),
    path('direct-buying-poultry-hatching/', PoultryHatchingForDirectBuyingViewSet.as_view()),
    path('direct-buying-poultry-requests-chart/', PoultryHatchingChartForDirectBuyingViewSet.as_view()),
    path('kill-house-performance-dashboard/', KillHousePerformanceDashboardViewSet.as_view()),
    path('kill-house-market-info/', KillHouseMarketInfoViewSet.as_view()),
    path('kill-house-market-info-dashboard/', KillHouseMarketInfoDashboardViewSet.as_view()),
    path('kill-house-sales-info-dashboard/', KillHouseSalesInformationViewSet.as_view()),
    path('steward-sales-info-dashboard/', StewardSalesInformationViewSet.as_view()),
    path('pos-sales-info/', PosSalesInformationViewSet.as_view()),
    path('pos-cold-houses/', PosColdHouseViewSet.as_view()),
    path('steward-remain-weight/', StewardRemainWeightViewSet.as_view()),
    path('total-steward-remain-weight/', TotalStewardRemainWeightViewSet.as_view()),
    path('pos-remain-weight/', PosRemainWeightViewSet.as_view()),
    path('pos-remain-weight-date/', PosRemainWeightWithDateViewSet.as_view()),
    path('kill-house-cold-house-allocations-info/', KillHouseForColdHouseAllocationViewSet.as_view()),
    path('kill-house-segmentation-info/', KillHouseForSegmentationViewSet.as_view()),
    path('kill-house-comparative-info/', KillHouseComparativeInformationViewSet.as_view()),
    path('return-province-kill-requests/', ReturnProvinceKillRequestViewSet.as_view()),
    path('return-requests-dashboard/', ReturnRequestDashboardViewSet.as_view()),
    path('kill-house-remain-weight/', KillHouseRemainWeightViewSet.as_view()),
    path('total-kill-house-remain-weight/', TotalKillHouseRemainWeightViewSet.as_view()),
    path('total-kill-house-archive-dashboard/', TotalKillHouseWarehouseArchiveDashboardViewSet.as_view()),
    path('total-guild-steward-archive-dashboard/', TotalGuildStewardWarehouseArchiveDashboardViewSet.as_view()),
    path('segmentation-dashboard/', SegmentationDashboardViewSet.as_view()),
    path('poultry_and_hatching_for_poultry_science/', PoultryAndHatchingForPoultryScience.as_view()),
    path('kill-house-lock-info/', KillHouseLock.as_view()),
    path('kill_request_pdf/', kill_request_pdf),
    path('non_receipt_request_excel/', non_receipt_request_excel),
    path('ticket_different_clearance_code_from_rsi/', ticket_different_clearance_code_from_rsi),
    path('bulk_test_data/', bulk_test_data),
    path('get_hatching_for_bazrasi/', get_hatching_for_bazrasi),
    path('detail_of_killing_and_warehouse_excel/', detail_of_killing_and_warehouse_excel),
    path('update_archive_date_poultry_hatching/', update_archive_date_poultry_hatching),
    path('management_all_poultry_and_warehouse/', management_all_poultry_and_warehouse),
    path('management_all_poultry_and_warehouse_pdf/', management_all_poultry_and_warehouse_pdf),
    path('summary_report_pdf/', summary_report_pdf),
    path('management_kill_house_dashboard/', management_kill_house_dashboard),
    path('hatching_unknown/', hatching_unknown),
    path('direct_buying_poultry_requests/', direct_buying_poultry_requests),
    path('market_requests_excel/', market_requests_excel),
    path('hatching_for_every_age_range/', hatching_for_every_age_range),
    path('periodic_performance_report_dashboard/', periodic_performance_report_dashboard),
    path('transaction_for_eata_new/', transaction_for_eata_new),
    path('daily_report_for_each_vet_farm_manual/', daily_report_for_each_vet_farm_manual),
    path('get_more_than_one_role/', get_more_than_one_role),
    path('fix_killing_age/', fix_killing_age),
    path('get_bar_from_rsi_with_hatching/', get_bar_from_rsi_with_hatching),
    path('poultry_hatching_detail_pdf/', hatching_detail_pdf),
    path('poultry_science_report_pdf/', poultry_science_report_pdf),
    path('driver_from_rsi_excel/', driver_from_rsi_excel),
    path('send_again_sms_for_register_code_guild/', send_again_sms_for_register_code_guild),
    path('send_again_sms_steward_allocation/', send_again_sms_steward_allocation),
    path('pos_send_again_sms_steward_allocation/', pos_send_again_sms_steward_allocation),
    path('fix_number_from_rsi/', fix_number_from_rsi),
    path('cancel_bar_and_province_request/', cancel_bar_and_province_request),
    path('return_province_request_excel/', return_province_request_excel),
    path('guilds_without_allocation_excel/', guilds_without_allocation_excel),
    path('return_kill_house_request_excel/', return_kill_house_request_excel),
    path('fix_wage/', fix_wage),
    path('send_again_sms_steward_free_sale_bar/', send_again_sms_steward_free_sale_bar),
    path('send_again_sms_kill_house_free_sale_bar/', send_again_sms_kill_house_free_sale_bar),
    path('send_again_sms_direct_buying_code/', send_again_sms_direct_buying_code),
    path('delete_guilds_without_allocation/', delete_guilds_without_allocation),
    path('send_all_bar_to_eitaa/', send_all_bar_to_eitaa),
    path('send_daily_slaughter_statistics_sms_manual/', send_daily_slaughter_statistics_sms_manual),
    path('send_daily_distribution_report_sms_manual/', send_daily_distribution_report_sms_manual),
    path('save_mobile_numbers/', save_mobile_numbers),
    path('update_guild_by_national_id/', update_guild_by_national_id),
    path('register_legal_guild/', register_legal_guild),
    path('import_poultry_science_from_excel/', import_poultry_science_from_excel),
    path('sync_guilds_user_profile_from_inquiry/', sync_guilds_user_profile_from_inquiry),
    path('report_guilds_without_national_or_pos_transactions/', report_guilds_without_national_or_pos_transactions),
    path('get_guilds_for_update_or_create/', get_guilds_for_update_or_create),
    path('get_legal_person_unit_info/', get_legal_person_unit_info),
    path('update_all_active_guilds_from_api/', update_all_active_guilds_from_api),
    path('find_users_with_duplicate_national_id/', find_users_with_duplicate_national_id),
    path('fix_duplicate_national_id_users/', fix_duplicate_national_id_users),
    path('get_poultry_for_bazrasi/', get_poultry_for_bazrasi),
    path('fix_duplicate_guilds_steward_allocation/', fix_duplicate_guilds_steward_allocation),
    path('test_all_excel_functions/', test_all_excel_functions),
    path('archive_poultry_hatching_with_archive_percent/', archive_poultry_hatching_with_archive_percent),
    path('check_steward_allocation_role_mismatch/', check_steward_allocation_role_mismatch),
    path('upload_image_to_server_for_poultry_science/', upload_image_to_server_for_poultry_science),
    path('poultry_science_for_bazresi/', poultry_science_for_bazresi),
    path('pos/pos_finder/', pos_login),
    path('get_dispenser_user_info/', get_dispenser_user_info),
    path('fetch_evacuation_details_for_unknown_hatchings/', fetch_evacuation_details_for_unknown_hatchings),
    path('kdp/', kill_house_debt_report_pdf),
    path('send_kill_house_debt_report_pdf_sms_manual/', send_kill_house_debt_report_pdf_sms_manual),
    path('send_all_bar_to_eitaa_ticket/', send_all_bar_to_eitaa_ticket),


] + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
